OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.Sync

Contents

- Functions
- Tokens
- Types

Description

All raw functions, tokens and types from the ARB_sync extension, see http://www.opengl.org/registry/specs/ARB/sync.txt.

Synopsis

- glFenceSync :: GLenum -> GLbitfield -> IO GLsync
- glIsSync :: GLsync -> IO GLboolean
- glDeleteSync :: GLsync -> IO ()
- glClientWaitSync :: GLsync -> GLbitfield -> GLuint64 -> IO GLenum
- glWaitSync :: GLsync -> GLbitfield -> GLuint64 -> IO ()
- glGetInteger64v :: GLenum -> Ptr GLint64 -> IO ()
- glGetSynciv :: GLsync -> GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> IO ()
- gl_MAX_SERVER_WAIT_TIMEOUT :: GLenum
- gl_OBJECT_TYPE :: GLenum
- gl_SYNC_CONDITION :: GLenum
- gl_SYNC_STATUS :: GLenum
- gl_SYNC_FLAGS :: GLenum
- gl_SYNC_FENCE :: GLenum
- gl_SYNC_GPU_COMMANDS_COMPLETE :: GLenum
- gl_UNSIGNALED :: GLenum
- gl_SIGNALED :: GLenum
- gl_SYNC_FLUSH_COMMANDS_BIT :: GLbitfield
- gl_TIMEOUT_IGNORED :: GLuint64
- gl_ALREADY_SIGNALED :: GLenum
- gl_TIMEOUT_EXPIRED :: GLenum
- gl_CONDITION_SATISFIED :: GLenum
- gl_WAIT_FAILED :: GLenum
- type GLint64 = Int64
- type GLuint64 = Word64
- type GLsync = Ptr ()

# Functions

glFenceSync :: GLenum -> GLbitfield -> IO GLsync

glIsSync :: GLsync -> IO GLboolean

glDeleteSync :: GLsync -> IO ()

glClientWaitSync :: GLsync -> GLbitfield -> GLuint64 -> IO GLenum

glWaitSync :: GLsync -> GLbitfield -> GLuint64 -> IO ()

glGetInteger64v :: GLenum -> Ptr GLint64 -> IO ()

glGetSynciv :: GLsync -> GLenum -> GLsizei -> Ptr GLsizei -> Ptr GLint -> IO ()

# Tokens

gl_MAX_SERVER_WAIT_TIMEOUT :: GLenum

gl_OBJECT_TYPE :: GLenum

gl_SYNC_CONDITION :: GLenum

gl_SYNC_STATUS :: GLenum

gl_SYNC_FLAGS :: GLenum

gl_SYNC_FENCE :: GLenum

gl_SYNC_GPU_COMMANDS_COMPLETE :: GLenum

gl_UNSIGNALED :: GLenum

gl_SIGNALED :: GLenum

gl_SYNC_FLUSH_COMMANDS_BIT :: GLbitfield

gl_TIMEOUT_IGNORED :: GLuint64

gl_ALREADY_SIGNALED :: GLenum

gl_TIMEOUT_EXPIRED :: GLenum

gl_CONDITION_SATISFIED :: GLenum

gl_WAIT_FAILED :: GLenum

# Types

type GLint64 = Int64

64bit signed two's complement binary integer (introduced in OpenGL 3.2).

type GLuint64 = Word64

64bit unsigned binary integer (introduced in OpenGL 3.2).

type GLsync = Ptr ()

Pointer-sized sync object handle (introduced in OpenGL 3.2).